Bug 55111 - Wrong displaying some users info, chat is not possible
Wrong displaying some users info, chat is not possible
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: licq (Show other bugs)
7.1
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Thomas Woerner
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-10-25 14:40 EDT by Krzysztof Kosz
Modified: 2007-03-26 23:49 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-16 10:30:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Krzysztof Kosz 2001-10-25 14:40:35 EDT
Description of Problem:
I can't see the status nor chat, nor see the info about some presons. These 
persons are newly registered to icq. Browsing through the licq cvs archive I 
found (i think) the origin of this problem and the solution. The UIN is to big to be 
supported by the licq. Look at:
http://www.geocrawler.com/lists/3/SourceForge/645/0/6789184/

Version-Release number of selected component (if applicable):
Licq 1.0.2-3

How Reproducible:
Every time

Steps to Reproduce:
1. Create new icq account
2. Using another account add the newly created one to your contact list. 

Actual Results:
Only UIN number is displayed (nb. this number is not true)

Expected Results:
The user's status should be displayed. Communication should be possible.

Additional Information:
Licq from the Raw Hide (1.0.3-8) also does not work.
Comment 1 Krzysztof Kosz 2001-10-28 05:58:30 EST
Proposed patch:

--- ./icqd-udp.cpp	Mon Feb 26 21:13:57 2001
+++ /icqd-udp.cpp	Sun Oct 28 11:42:58 2001
@@ -1650,12 +1650,16 @@
     delete buf;
   }

+#if 0
+  // !!! This causes problems for UINs that are > 0x07FFFFFF !!!
   // Check if uin is backwards, what the fuck is with icq99b?
   if (nUin > 0x07FFFFFF)
   {
     nUin = ((nUin & 0x000000FF) << 24) + ((nUin & 0x0000FF00) << 8) +
            ((nUin & 0x00FF0000) >> 8)  + ((nUin & 0xFF000000) >> 24);
   }
+#endif
+
   // Swap high and low bytes for strange new icq99
   if ((newCommand > 0x00FF) && !(newCommand & ICQ_CMDxSUB_FxMULTIREC))
   {
Comment 2 Krzysztof Kosz 2001-10-28 05:58:46 EST
Proposed patch:

--- ./icqd-udp.cpp	Mon Feb 26 21:13:57 2001
+++ /icqd-udp.cpp	Sun Oct 28 11:42:58 2001
@@ -1650,12 +1650,16 @@
     delete buf;
   }

+#if 0
+  // !!! This causes problems for UINs that are > 0x07FFFFFF !!!
   // Check if uin is backwards, what the fuck is with icq99b?
   if (nUin > 0x07FFFFFF)
   {
     nUin = ((nUin & 0x000000FF) << 24) + ((nUin & 0x0000FF00) << 8) +
            ((nUin & 0x00FF0000) >> 8)  + ((nUin & 0xFF000000) >> 24);
   }
+#endif
+
   // Swap high and low bytes for strange new icq99
   if ((newCommand > 0x00FF) && !(newCommand & ICQ_CMDxSUB_FxMULTIREC))
   {
Comment 3 Thomas Woerner 2003-01-16 10:30:47 EST
Fixed in rawhide in rpm licq-1.2.3-2 and later.

Note You need to log in before you can comment on or make changes to this bug.